#!/bin/sh

# Simple shell script to populate the dock by setting up some random
# standard applications.

while read n file; do
    key=/apps/kiba/plugins/launcher/launchers/$n/file
    gconftool-2 --set $key --type string $file
    gconftool-2 --apply-schema /schemas/apps/kiba/plugins/launcher/launchers/file $key
done <<EOF
    gnome-terminal /usr/share/applications/gnome-terminal.desktop
    gimp-2.2 /usr/share/applications/gimp-2.2.desktop
    epiphany /usr/share/applications/epiphany.desktop
    gaim /usr/share/applications/gaim.desktop
    gnome-cd /usr/share/applications/gnome-cd.desktop
    background /usr/share/applications/background.desktop
EOF
